@Noxilex

Почему Eclipse выдаёт ошибку при установке?

Я пытаюсь установить Eclipse, но при установке появляется ошибка. Я установил JDK 11, но ничего не изменилось. ОС — Ubuntu 20.04 LTS. Помогите, пожалуйста, решить пробоему.

логи
[2021-04-11 14:06:56] Executing bootstrap tasks
[2021-04-11 14:06:56] OpenJDK Runtime Environment 15.0.2+7-27
[2021-04-11 14:06:56] Product org.eclipse.products.epp.package.cpp.2021-03
[2021-04-11 14:06:56] Bundle org.eclipse.oomph.setup 1.19.0.v20210223-0655, build=5032, branch=de1d74a6bf3addd102f8a873eabac293fbeaa3ad
[2021-04-11 14:06:56] Bundle org.eclipse.oomph.setup.core 1.19.0.v20210221-1019, build=5032, branch=de1d74a6bf3addd102f8a873eabac293fbeaa3ad
[2021-04-11 14:06:56] Bundle org.eclipse.oomph.setup.p2 1.16.0.v20200814-1205, build=5032, branch=de1d74a6bf3addd102f8a873eabac293fbeaa3ad
[2021-04-11 14:06:56] Performing P2 Director (Eclipse IDE for C/C++ Developers (2021-03))
[2021-04-11 14:06:56] Offline = false
[2021-04-11 14:06:56] Mirrors = true
[2021-04-11 14:06:56] Resolving 34 requirements from 3 repositoriesto /home/ubuntu/Education/Programming/C++/Eclipse_IDE/eclipse
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:epp.package.cpp [4.19.0,5.0.0)
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.platform.feature.group [4.19.0,5.0.0)
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.rcp.feature.group [4.19.0,5.0.0)
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.autotools.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.build.crossgcc.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.cmake.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.debug.gdbjtag.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.debug.standalone.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.debug.ui.memory.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.docker.launcher.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.launch.remote.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.launch.serial.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.meson.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.cdt.testsrunner.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.egit.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.epp.mpc.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.launchbar.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.launchbar.remote.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.cdt.libhover.devhelp.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.cdt.libhover.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.changelog.c.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.gcov.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.gprof.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.rpm.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.linuxtools.valgrind.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.wikitext_feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tm.terminal.connector.cdtserial.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tm.terminal.feature.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tracecompass.gdbtrace.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tracecompass.lttng2.control.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tracecompass.lttng2.kernel.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tracecompass.lttng2.ust.feature.group
[2021-04-11 14:06:56] Requirement org.eclipse.equinox.p2.iu:org.eclipse.oomph.setup.feature.group
[2021-04-11 14:06:56] Repository download.eclipse.org/technology/epp/packages/2..
[2021-04-11 14:06:56] Repository download.eclipse.org/releases/2021-03/20210317..
[2021-04-11 14:06:56] Repository download.eclipse.org/oomph/updates/milestone/l..
[2021-04-11 14:06:59] Calculating requirements and dependencies.
[2021-04-11 14:07:00] Computing prerequisite plan
[2021-04-11 14:07:03] Collecting 1 artifacts from download.eclipse.org/technology/epp/packages/2..
[2021-04-11 14:07:03] Downloading epp.package.cpp.executable.gtk.linux.x86_64
[2021-04-11 14:07:03] Collected 1 artifacts for download.eclipse.org/technology/epp/packages/2.. in 0.004s
[2021-04-11 14:07:03] Collecting 4 artifacts from download.eclipse.org/releases/2021-03/20210317..
[2021-04-11 14:07:04] Downloading org.eclipse.platform_root
[2021-04-11 14:07:04] Downloading org.eclipse.cdt_root
[2021-04-11 14:07:04] Downloading org.eclipse.platform.ide.executable.gtk.linux.x86_64
[2021-04-11 14:07:04] Downloading org.eclipse.rcp_root
[2021-04-11 14:07:04] Collected 4 artifacts for download.eclipse.org/releases/2021-03/20210317.. in 0.636s
[2021-04-11 14:07:04] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2021-04-11 14:07:04] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while collecting items to be installed
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:291)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:551)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:343)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:899)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3851)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3779)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3760)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3638)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1343)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$33(SimpleVariablePage.java:1211)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1156)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=_home_ubuntu_Education_Programming_C++_Eclipse_IDE_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.nebula.widgets.tablecombo,1.2.0.202104091720
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.p2.core,1.18.0.v20210330-1145
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.p2,1.19.0.v20210330-1145
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.setup.core,1.20.0.v20210411-0650
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup.core,1.20.0.v20210411-0650
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: org.eclipse.update.feature,org.eclipse.oomph.setup,1.21.0.v20210411-0650
ERROR: org.eclipse.equinox.p2.artifact.repository code=0 No repository found containing: osgi.bundle,org.eclipse.oomph.util,1.16.0.v20210329-0828


6072e1be3551b748420439.png
  • Вопрос задан
  • 39 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы